db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jørgen Løland (JIRA) <j...@apache.org>
Subject [jira] Commented: (DERBY-2976) DatabaseMetaData.getTables fails for databases created with older versions of Derby
Date Wed, 25 Jul 2007 10:59:31 GMT

    [ https://issues.apache.org/jira/browse/DERBY-2976?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12515255
] 

Jørgen Løland commented on DERBY-2976:
--------------------------------------

I see this on trunk as well. I created a database on July 6 (using whatever version trunk
was in on that date), and the current trunk (559337) gives same exception:

ij> show tables;
ERROR XCL13: The parameter position '4' is out of range.  The number of parameters for this
prepared  statement is '3'.

I am unsure about the Priority of this issue. Should it be a blocker?

> DatabaseMetaData.getTables fails for databases created with older versions of Derby
> -----------------------------------------------------------------------------------
>
>                 Key: DERBY-2976
>                 URL: https://issues.apache.org/jira/browse/DERBY-2976
>             Project: Derby
>          Issue Type: Bug
>          Components: JDBC
>    Affects Versions: 10.3.1.2, 10.3.1.3, 10.4.0.0
>            Reporter: Jørgen Løland
>            Priority: Critical
>
> Reported by Tim Dudgeon:
> http://www.nabble.com/DatabaseMetaData.getTables%28%29-problems-for-10.3.1.3-with-a-10.3.1.2-database-t4141271.html
> "I'm seeing an exception for the DatabaseMetaData.getTables() method when 
> using 10.3.1.3 with a database that has been upgraded to 10.3.1.2.
> 10.2 databases that have not been upgraded seem to be OK."

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message